#include "dialog.h"
#include "ui_dialog.h"
#include <QFileSystemModel.h>

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);

    QFileSystemModel* model = new QFileSystemModel(this);
    model->setRootPath(QApplication::applicationDirPath());
    ui->listView->setModel(model);
    ui->listView->setRootIndex(model->index(QApplication::applicationDirPath()));
    ui->listView->setDragEnabled(true);
}

Dialog::~Dialog()
{
    delete ui;
}
